gcc errors in linux

  • 23 Replies
  • 2886 Views
Re: gcc errors in linux
« Reply #15 on: 09 July 2013, 00:25:33 »
I have nVidia Graphics:  Card: NVIDIA G92 [GeForce 8800 GT] X.Org: 1.11.3 driver: nvidia Resolution: 1680x1050@59.9hz
           GLX Renderer: GeForce 8800 GT/PCIe/SSE2/3DNOW! GLX Version: 3.3.0 NVIDIA 310.40


sudo dpkg -l libgl*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name              Version           Description
+++-=================-=================-==================================================
un  libgl-dev         <none>            (no description available)
un  libgl1            <none>            (no description available)
ii  libgl1-mesa-dev   8.0.4-0ubuntu0.6  free implementation of the OpenGL API -- GLX devel
un  libgl1-mesa-dev-l <none>            (no description available)
un  libgl1-mesa-dev-l <none>            (no description available)
ii  libgl1-mesa-dri   8.0.4-0ubuntu0.6  free implementation of the OpenGL API -- DRI modul
un  libgl1-mesa-dri-d <none>            (no description available)
un  libgl1-mesa-dri-e <none>            (no description available)
ii  libgl1-mesa-glx   8.0.4-0ubuntu0.6  free implementation of the OpenGL API -- GLX runti
un  libgl1-mesa-glx-l <none>            (no description available)
un  libgl1-mesa-glx-l <none>            (no description available)
un  libgl1-mesa-glx-n <none>            (no description available)
un  libgl1-mesa-swx11 <none>            (no description available)
un  libgl1-nvidia-alt <none>            (no description available)
ii  libglade2-0       1:2.6.4-1ubuntu1. library to load .glade files at runtime
ii  libglapi-mesa     8.0.4-0ubuntu0.6  free implementation of the GL API -- shared librar
un  libglew-dev       <none>            (no description available)
un  libglew1          <none>            (no description available)
un  libglew1.5-dev    <none>            (no description available)
ii  libglew1.6        1.6.0-4           OpenGL Extension Wrangler - runtime environment
ii  libglew1.6-dev    1.6.0-4           OpenGL Extension Wrangler - development environmen
rc  libglew1.8        1.8.0-1ubuntu2    OpenGL Extension Wrangler - runtime environment
ii  libglib2.0-0      2.32.3-0ubuntu1   GLib library of C routines
ii  libglib2.0-bin    2.32.3-0ubuntu1   Programs for the GLib library
ii  libglib2.0-data   2.32.3-0ubuntu1   Common files for GLib library
ii  libglib2.0-dev    2.32.3-0ubuntu1   Development files for the GLib library
un  libglib2.0-doc    <none>            (no description available)
rc  libglibmm-2.4-1c2 2.32.0-0ubuntu1   C++ wrapper for the GLib toolkit (shared libraries
un  libglide3         <none>            (no description available)
un  libglu-dev        <none>            (no description available)
un  libglu1           <none>            (no description available)
ii  libglu1-mesa      8.0.4-0ubuntu0.6  Mesa OpenGL utility library (GLU)
ii  libglu1-mesa-dev  8.0.4-0ubuntu0.6  Mesa OpenGL utility library -- development files


all Gl files :)

There is 0.5.1-1 on ppa launchpad, and will try them :)
« Last Edit: 09 July 2013, 00:27:09 by wmbuRn »

*

texus

  • *****
  • 1420
    • View Profile
    • Texus's Blog
Re: gcc errors in linux
« Reply #16 on: 09 July 2013, 00:29:40 »
Any chance you have nvidea graphics?

If I look for the error then I find this page and this page.
Both aren't exactly the same error (different paths), but they both say that a symbolic link has to be made.

Re: gcc errors in linux
« Reply #17 on: 09 July 2013, 00:43:01 »
tgui 0.5.1 is working. thank you guys. Will do the linking the libGl.so and will try to compile 0.5.2 and 0.6-dev and will report back. So we can know is that problem with libGl.so, >> More info, better sofwtare :)

Thank you again for spending time on my problems :)

Re: gcc errors in linux
« Reply #18 on: 09 July 2013, 01:14:13 »
Yes, that was the problem. libGL.so and nvidia drivers. Thank you guys.

0.5.2 compiled without any error. will try 0.6-dev and will report back. Thank you again for your support

0.6-dev get some warnings but it iscompiled and working. Here is entire build log if you are  or if somebody is interested in warnings :)

https://pastebin.com/v3TgzUHT
« Last Edit: 09 July 2013, 01:24:52 by wmbuRn »

*

texus

  • *****
  • 1420
    • View Profile
    • Texus's Blog
Re: gcc errors in linux
« Reply #19 on: 09 July 2013, 10:51:55 »
Ok, thanks for testing.

I'll fix those warnings later today.
EDIT: Done
« Last Edit: 09 July 2013, 11:54:12 by texus »

Re: gcc errors in linux
« Reply #20 on: 09 July 2013, 19:06:39 »
Will download 0-6dev from github and will give it a try, and will report back. If needed you can count on me for testing new builds.

Clean build. Here is the log : https://pastebin.com/NurxgWmu
« Last Edit: 09 July 2013, 19:31:51 by wmbuRn »

Re: gcc errors in linux
« Reply #21 on: 17 July 2013, 22:00:09 »
New build, no errors

https://pastebin.com/KwT9fuqJ


Downloaded TGUI-Master aabout 10 mins ago.

*

texus

  • *****
  • 1420
    • View Profile
    • Texus's Blog
Re: gcc errors in linux
« Reply #22 on: 17 July 2013, 22:06:34 »
Thanks for testing these builds.

But I think it is not really necessary to test the gcc builds on linux. You use the same compiler than I am and I am getting smarter recently, I'm starting to actually compile the builds myself before pushing to github. I do forget it from time to time, but usually I am aware of warnings.

Re: gcc errors in linux
« Reply #23 on: 21 July 2013, 03:14:05 »
kk no problem :)